# NonConfig

This gem was created because
I am not enough satisfied with [Settingslogic](https://github.com/settingslogic/settingslogic).

E.g. it does not support multiple files, it can't save config files.

*But I still thinking Settinglogic is pretty good*

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'non_config'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install non_config

## Usage

```ruby
require 'non_config'

class Config < NonConfig::Base # I thought it would be funny :\
  source :db, 'db/config.yml'
  source :app, 'app_config.yml'
  source :else_config, 'something.yml'

  env :development
end

```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/Nondv/non_config. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
